
QGIS Application - Bug report #16598

Adding PostGIS layers from the browser or DB-Manager crashes QGIS (mini-dump)

2017-05-22 03:44 PM - Jérôme Guélat

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Browser

Affected QGIS version:2.18.8 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24500

Description

QGIS 2.18.8 (and also master) crashes when one adds PostGIS layers from the browser or from DB-Manager. Everything is OK if one

uses the "Add PostGIS layers" button.

This is a regression since it didn't happen with 2.18.7. Several PostgreSQL servers were tested.

Stack Trace:

(Qt5Core) QSizeF::transpose (unknown file):(unknown line)

(Qt5Core) QString::split (unknown file):(unknown line)

((unknown module)) QgsMapToolDeleteRing::ringNumInPolygon (unknown file):(unknown line)

((unknown module)) QgsMapToolDeleteRing::ringNumInPolygon (unknown file):(unknown line)

((unknown module)) QgsMapToolDeleteRing::ringNumInPolygon (unknown file):(unknown line)

((unknown module)) QgsMapToolDeleteRing::ringNumInPolygon (unknown file):(unknown line)

((unknown module)) QgsMapToolDeleteRing::ringNumInPolygon (unknown file):(unknown line)

((unknown module)) QgsMapToolDeleteRing::ringNumInPolygon (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Core) QTimer::timeout (unknown file):(unknown line)

(Qt5Core) QObject::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsMapLayerStore::metaObject (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32Private::sendTimerEvent (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

(USER32) TranslateMessageEx (unknown file):(unknown line)

(USER32) TranslateMessage (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

((unknown module)) QgsMapToolDeleteRing::ringNumInPolygon (unknown file):(unknown line)

(kernel32) BaseThreadInitThunk (unknown file):(unknown line)

(ntdll) RtlUserThreadStart (unknown file):(unknown line)

QGIS Info:

QGIS Version: 2.99.0-Master

QGIS code revision: d55fa22

Compiled against Qt: 5.7.1
Running against Qt: 5.7.1

Compiled against GDAL: 2.2.0

Running against GDAL: 2.2.0

System Info:

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Related to QGIS Application - Bug report # 16614: Version 2.18.8 python loadi... Closed 2017-05-24

Related to QGIS Application - Bug report # 16680: Layers Panel: adding a laye... Closed 2017-06-07

Duplicates QGIS Application - Bug report # 16593: Segmentation fault when imp... Closed 2017-05-22

Associated revisions

Revision 403dc35d - 2017-05-22 09:43 PM - Jürgen Fischer

don't set friendly name without sublayers (followup e0a2267; fixes #16593, #16594, #16598)

Revision b5cd5ee8 - 2017-05-22 09:49 PM - Jürgen Fischer

don't set friendly name without sublayers (followup e0a2267; fixes #16593, #16594, #16598)

(cherry picked from commit 403dc35dac30499c3954b732e4e8a642bfd475d8)

History

#1 - 2017-05-22 04:58 PM - Giovanni Manghi

- Priority changed from Normal to High

- Affected QGIS version changed from master to 2.18.8

#2 - 2017-05-22 06:26 PM - Luigi Pirelli

confirmed on Linux with latest 52a9c6d compiled... but only adding layer (doubleckick) from browser. Not confirmed from DbManager

#3 - 2017-05-22 06:49 PM - Giovanni Manghi

- Assignee set to Alexander Bruy

Alex, Luigi's analysis seems to point to some changes of yours, can you confirm?

#4 - 2017-05-22 07:12 PM - Raul Nanclares

Confirmed on ubuntu budgie 16.04.02. Crashes when loading layer from browser, if layer is already loaded in a project qgis won't crash.

#5 - 2017-05-22 07:13 PM - Luigi Pirelli
in my case crash here: 

https://github.com/boundlessgeo/QGIS/commit/c849bc882b8bf30727033896c01d9cb8e600ca8e#diff-989db6afac5dc91e42cf6d3e404431b3R9317

sublayers is empty

#6 - 2017-05-22 08:00 PM - Jürgen Fischer

- Description updated

#7 - 2017-05-22 09:46 PM - Jürgen Fischer

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|403dc35dac30499c3954b732e4e8a642bfd475d8.

#8 - 2017-05-24 07:05 PM - Jürgen Fischer

- Duplicates Bug report #16593: Segmentation fault when importing CSV file with coordinates added

#9 - 2017-05-24 07:08 PM - Jürgen Fischer

- Related to Bug report #16614: Version 2.18.8 python loading vector layers - cannot name vector layer added

#10 - 2017-06-09 08:07 AM - Jürgen Fischer

- Related to Bug report #16680: Layers Panel: adding a layer doesn't simply show its name added
